FormView.MouseEventListener (Java SE 9 & JDK 9 )
Keywords: javax.swing.text.html.FormView.MouseEventListener class

Module java.desktop
Package javax.swing.text.html

## Class FormView.MouseEventListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.text.html.FormView.MouseEventListener

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`
  Enclosing class:
    FormView

      protected class FormView.MouseEventListener
      extends MouseAdapter

  MouseEventListener class to handle form submissions when an input with type equal to image is clicked on. A MouseListener is necessary since along with the image data the coordinates associated with the mouse click need to be submitted.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MouseEventListener​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseReleased​(MouseEvent evt)` | Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MouseEventListener

          protected MouseEventListener​()

  - ### Method Detail

    - #### mouseReleased

          public void mouseReleased​(MouseEvent evt)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `MouseAdapter`
      Parameters:
        `evt` - the event to be processed